AU_FREE_TOKEN(3)

NAME
au_free_token - deallocate a token_t created by any of the au_to_*() BSM API functions

LIBRARY
libbsm

SYNOPSIS
#include <bsm/libbsm.h>
void
au_free_token(token_t *tok);

DESCRIPTION
The BSM API generally manages deallocation of token_t objects. However, if au_write(3) is passed a bad audit descriptor, the token_t * parameter will be left untouched. In that case, the caller can deallocate the token_t using au_free_token() if desired.

The tok argument is a token_t * generated by one of the au_to_*() BSM API calls. For convenience, tok may be NULL, in which case au_free_token() returns immediately.

IMPLEMENTATION NOTES
This is, in fact, what audit_write(3) does, in keeping with the existing memory management model of the BSM API.

SEE ALSO
au_write(3), audit_write(3), libbsm(3)

HISTORY
The OpenBSM implementation was created by McAfee Research, the security division of McAfee Inc., under contract to Apple Computer, Inc., in 2004. It was subsequently adopted by the TrustedBSD Project as the foundation for the OpenBSM distribution.

AUTHORS
-nosplit This software was created by Robert Watson, Wayne Salamon, and Suresh Krishnaswamy for McAfee Research, the security research division of McAfee, Inc., under contract to Apple Computer, Inc.

The Basic Security Module (BSM) interface to audit records and audit event stream format were defined by Sun Microsystems.